libebook::FB2SrcTitleInfoContext Class Reference documentation

Public Member Functions | Private Member Functions | List of all members
libebook::FB2SrcTitleInfoContext Class Reference

`#include <FB2MetadataContext.h>`

Inheritance diagram for libebook::FB2SrcTitleInfoContext:

## Public Member Functions
| FB2SrcTitleInfoContext (FB2ParserContext *parentContext)
Public Member Functions inherited from libebook::FB2ParserContext
| FB2ParserContext (FB2ParserContext *parentContext, FB2Collector *collector=0)
| Create a new context with `parentContext` as parent. More...
virtual FB2XMLParserContext * | leaveContext () const
| Destroy this context and return parent. More...
FB2Collector * | getCollector () const
| Get the collector. More...
FB2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FB2XMLParserContext
virtual | ~FB2XMLParserContext ()=0

## Private Member Functions
virtual FB2XMLParserContext * | element (const FB2TokenData &name, const FB2TokenData &ns)
| Create a context for parsing a child element. More...
virtual void | startOfElement ()
| Signalize the start of an element. More...
virtual void | endOfElement ()
| Signalize the end of an element. More...
virtual void | endOfAttributes ()
| Signalize the end of attributes. More...
virtual void | attribute (const FB2TokenData &name, const FB2TokenData *ns, const char *value)
| Process an attribute. More...
virtual void | text (const char *value)
| Process textual content of an element. More...

## Constructor & Destructor Documentation

## § FB2SrcTitleInfoContext()

libebook::FB2SrcTitleInfoContext::FB2SrcTitleInfoContext | ( | FB2ParserContext * | parentContext | ) |
| explicit

## Member Function Documentation

## § attribute()

void libebook::FB2SrcTitleInfoContext::attribute | ( | const FB2TokenData & | name,
|  | const FB2TokenData * | ns,
|  | const char * | value
| ) |  |
| privatevirtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implements libebook::FB2XMLParserContext.

## § element()

FB2XMLParserContext * libebook::FB2SrcTitleInfoContext::element | ( | const FB2TokenData & | name,
|  | const FB2TokenData & | ns
| ) |  |
| privatevirtual

Create a context for parsing a child element.

Returns
  A new context or `0` if the child element cannot be handled.

Implements libebook::FB2XMLParserContext.

## § endOfAttributes()

virtual void libebook::FB2SrcTitleInfoContext::endOfAttributes | ( |  | ) |
| inlineprivatevirtual

Signalize the end of attributes.

Implements libebook::FB2XMLParserContext.

## § endOfElement()

void libebook::FB2SrcTitleInfoContext::endOfElement | ( |  | ) |
| privatevirtual

Signalize the end of an element.

Implements libebook::FB2XMLParserContext.

## § startOfElement()

void libebook::FB2SrcTitleInfoContext::startOfElement | ( |  | ) |
| privatevirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::FB2XMLParserContext.

## § text()

void libebook::FB2SrcTitleInfoContext::text | ( | const char * | value | ) |
| privatevirtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libebook::FB2XMLParserContext.

The documentation for this class was generated from the following files:

- FB2MetadataContext.h
- FB2MetadataContext.cpp